# CYapfDestinationRailBase Class Reference

Inheritance diagram for CYapfDestinationRailBase:

## Public Member Functions
void | SetDestination (const Train *v, bool override_rail_type=false)
bool | IsCompatibleRailType (RailType rt)
RailTypes | GetCompatibleRailTypes () const
## Protected Attributes
RailTypes | m_compatible_railtypes

## Detailed Description

Definition at line 15 of file yapf_destrail.hpp.

The documentation for this class was generated from the following file:

- src/pathfinder/yapf/yapf_destrail.hpp